.editor
  overflow-y: scroll
  padding: 10px 5px 20px
  position: relative
  & > div[contenteditable]
    background: white
    min-height: 300px
    border: 1px solid $head-link
    user-select: none
    p, span
      user-select: none
    img
      resize: both
      cursor: nwse-resize
  p
    color: #4B5763
    font-size: 18px
    line-height: 29px
    margin-bottom: 30px
  &-controls
    position: absolute
    top: 0
    left: 0
    height: 51.37px
    border-radius: 4px
    background-color: $font-online-sign
    box-shadow: -7px 8px 16px 0 rgba(55,70,95,0.07)
    display: none
    align-items: center
    padding: 0 20px
    &.show
      display: flex
    &:before
      position: absolute
      width: 8px
      height: 8px
      background-color: $font-online-sign
      content: ' '
      bottom: -4px
      left: calc(50% - 4px)
      transform: rotate(45deg)
      border-radius: 2px
  &-file
    position: relative
    overflow: hidden
    cursor: pointer
    input
      position: absolute
      width: 100%!important
      height: 100%!important
      top: 0
      left: 0
      cursor: pointer!important
      opacity: 0
  button
    background: none
    border: none
    margin-right: 8px
    display: flex
    align-items: center
    cursor: pointer
  input
    border: none
    cursor: default
    height: 24px
    padding: 0
    width: 0
    border-radius: 5px
    transition: all .3s
    &.show
      width: 100px
      padding: 0 5px
  .bold
    font-weight: 600
  .italic
    font-style: italic

